
CREATE TABLE Groups
(
        Id        INTEGER      NOT NULL,
        Name      VARCHAR(127) NULL,
        Comment   VARCHAR(255) NULL,
        PRIMARY KEY (Id),
        UNIQUE INDEX GroupIdIndex (Id)
);


CREATE TABLE Images
(
        Id        INTEGER      NOT NULL,
        Views     INTEGER      NOT NULL,
        Caption   VARCHAR(127) NULL,
        Comment   VARCHAR(255) NULL,

        Format    VARCHAR(32)  NOT NULL,
        Width     INTEGER      NOT NULL,
        Height    INTEGER      NOT NULL,
        Bytes     INTEGER      NOT NULL,

        Image     MEDIUMBLOB NOT NULL,
        Thumbnail MEDIUMBLOB NULL,

        PublishedAt           TIMESTAMP NOT NULL,
        ShotAt                DATE          NULL,

        PRIMARY KEY (Id),
        UNIQUE INDEX ImageIdIndex (Id)
);

CREATE TABLE ImageGroups
(
        GroupId        INTEGER   NOT NULL,
        ImageId        INTEGER   NOT NULL,

        PRIMARY KEY (GroupId, ImageId),
        FOREIGN KEY (GroupId) REFERENCES Groups(Id),
        FOREIGN KEY (ImageId) REFERENCES Images(Id),
        UNIQUE INDEX ImageGroupsInidex (GroupId, ImageId)
);
 
